View Issue Details

IDProjectCategoryView StatusLast Update
0004197Expressions[FreeCAD] Bugpublic2019-12-09 14:17
Reporterwandererfan Assigned Torealthunder  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinux Mint, OSXOSOS Version
Product Version[FreeCAD] 0.19 
Target VersionFixed in Version[FreeCAD] 0.19 
Summary0004197: Crash on Recompute With Expression as PropertyString Value
DescriptionForum discussion 1
Forum Discussion 2

Using a spreadsheet reference in the PropertyEditor for a PropertyString causes a crash on next recompute.
Steps To Reproducesee forum discussion
Tagsexpressions
FreeCAD InformationOS: Linux Mint 19 (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Python version: 3.6.8
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)

OS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18694 (Git)
Build type: Release
Branch: master
Hash: c3ba04183e016e15410d84bae4d00556d22c7da5
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

Activities

Kunda1

2019-11-29 12:50

administrator   ~0013850

Moved to 'Expressions' category (thanks openBrain ;) )

Related Changesets

FreeCAD: master 13fd54a4

2019-12-09 00:34:33

realthunder

Details Diff
App: fix pyObjectToAny() in Python3 Affected Issues
0004197
mod - src/App/Expression.cpp Diff File

Issue History

Date Modified Username Field Change
2019-11-19 12:19 wandererfan New Issue
2019-11-22 16:44 openBrain Tag Attached: expressions
2019-11-29 12:49 Kunda1 Project FreeCAD => Expressions
2019-11-29 12:50 Kunda1 Note Added: 0013850
2019-12-09 14:16 wmayer Changeset attached => FreeCAD master 13fd54a4
2019-12-09 14:17 wmayer Assigned To => realthunder
2019-12-09 14:17 wmayer Status new => closed
2019-12-09 14:17 wmayer Resolution open => fixed
2019-12-09 14:17 wmayer Fixed in Version => 0.19